Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# pixel_is_reference Struct Template Reference
[Type Analysis Metafunctions]

`#include <metafunctions.hpp>`

## Detailed Description

### template<typename Pixel>
struct boost::gil::pixel_is_reference< Pixel >

Given a model of a pixel, determines whether the model represents a pixel reference (as opposed to pixel value).

The documentation for this struct was generated from the following file:

- metafunctions.hpp